Package org.kie.internal.ruleunit

## Interface RuleUnitComponentFactory

- All Superinterfaces:
    `java.lang.Comparable<org.kie.api.internal.utils.KieService>`, `org.kie.api.internal.utils.KieService`

      public interface RuleUnitComponentFactory
      extends org.kie.api.internal.utils.KieService

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `RuleUnitComponentFactory.FactoryHolder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RuleUnitDescription` | `createRuleUnitDescription​(org.kie.api.definition.KiePackage pkg, java.lang.Class<?> ruleUnitClass)` |
    `RuleUnitDescription` | `createRuleUnitDescription​(org.kie.api.definition.KiePackage pkg, java.lang.String ruleUnitSimpleName)` | Creates a rule unit description from the given qualified name.
    `static RuleUnitComponentFactory` | `get()` |
    `boolean` | `isDataSourceClass​(java.lang.Class<?> ruleUnitClass)` |
    `boolean` | `isRuleUnitClass​(java.lang.Class<?> ruleUnitClass)` |

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority`

- - ### Method Detail

    - #### get

          static RuleUnitComponentFactory get()

    - #### createRuleUnitDescription

          RuleUnitDescription createRuleUnitDescription​(org.kie.api.definition.KiePackage pkg,
                                                        java.lang.Class<?> ruleUnitClass)

    - #### createRuleUnitDescription

          RuleUnitDescription createRuleUnitDescription​(org.kie.api.definition.KiePackage pkg,
                                                        java.lang.String ruleUnitSimpleName)

      Creates a rule unit description from the given qualified name. Optional operation (may be provided by alternative implementations)
      Returns:
        null if not supported or missing.

    - #### isRuleUnitClass

          boolean isRuleUnitClass​(java.lang.Class<?> ruleUnitClass)

    - #### isDataSourceClass

          boolean isDataSourceClass​(java.lang.Class<?> ruleUnitClass)